Virtual networks

Attach service

POST/v1/networking/virtual-networks/{id}/attachments

Attaches a service to the network on one of its segments.

Autorisations

  • Authorizationstringheaderobligatoire

    Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.

Permission requise : organization.baremetal.networking

Paramètres de chemin

  • idstring<uuid>obligatoire

En-têtes

  • Idempotency-Keystring

    Limites :length <= 200

Corps

application/json
  • serviceIdstring<uuid>
  • segmentIdstring<uuid>obligatoire
  • isNativeboolean

Réponse

202 · application/json

Accepted

  • successbooleanobligatoire

    Valeurs autorisées :true

  • dataobject | nullobligatoire